Bug 5061 - [UPDATE REQUEST] os-prober-1.63-7, grub2-2.00-69
: [UPDATE REQUEST] os-prober-1.63-7, grub2-2.00-69
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-17 18:20 MSK by Konstantin Vlasov
Modified: 2015-02-21 15:01 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
konstantin.vlasov: published+


Attachments
ss1 (1.83 MB, image/jpeg)
2015-02-19 10:19 MSK, Vladimir Potapov
Details
ss2 (135.26 KB, image/jpeg)
2015-02-19 10:20 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-02-17 18:20:10 MSK
Updates for os-prober and grub2.
Comment 1 Konstantin Vlasov 2015-02-17 18:27:17 MSK
os-prober:
https://abf.rosalinux.ru/build_lists/2425739
https://abf.rosalinux.ru/build_lists/2425740

Advisory: Support for creating grub2 linked menuentries; some minor bugfixes.


grub2:
https://abf.rosalinux.ru/build_lists/2425737
https://abf.rosalinux.ru/build_lists/2425738

Advisory: Support for creating linked menuentries for secondary systems.


How to test:
1. Add the following line to the file /etc/default/grub:
GRUB_OS_PROBER_LINKED=true
2. Update the grub2 menu:
# update-grub2
3. The boot menu should now contain direct links to grub2.cfg files of the secondary systems (so that when you select that menu entry, the target system's grub.cfg is loaded and the corresponding menu is displayed).
Comment 2 Vladimir Potapov 2015-02-19 10:19:12 MSK
Created attachment 3755 [details]
ss1
Comment 3 Vladimir Potapov 2015-02-19 10:20:46 MSK
Created attachment 3756 [details]
ss2
Comment 4 Vladimir Potapov 2015-02-19 10:21:31 MSK
Wiro with Ubuntu and rosa. Don't work with Fedora (see screenshot)
Comment 5 Konstantin Vlasov 2015-02-19 16:12:56 MSK
(In reply to comment #4)
> Don't work with Fedora (see screenshot)

Did you install Fedora in legacy mode, and ROSA in UEFI mode? If you try to boot Fedora directly with this config in UEFI, it will fail with the same error message.
Comment 6 Vladimir Potapov 2015-02-19 21:19:48 MSK
grub2 build as "signer" and I don't have rights send to testing
Comment 7 Konstantin Vlasov 2015-02-19 21:24:50 MSK
What's the problem? It's built by "signer" since 2.00-66. What action exactly is not allowed for those build lists?
Comment 8 Konstantin Vlasov 2015-02-19 22:11:03 MSK
(In reply to comment #6)
> grub2 build as "signer" and I don't have rights send to testing

If the problem was missing permissions for publishing into "testing" repository, it has been fixed. The build lists were published there, and from now on you should have permissions for doing this yourself.
Comment 9 Vladimir Potapov 2015-02-20 18:40:26 MSK
# update-grub2
don't update menu on my EFI test system.
How to do it in EFI?
Comment 10 Konstantin Vlasov 2015-02-20 19:08:28 MSK
(In reply to comment #9)
> # update-grub2
> don't update menu on my EFI test system.
> How to do it in EFI?

Should work without any difference.
What exactly do you mean by "don't update"? Displays error message? Leaves the current menu unchanged? Something else?

Do you have /boot/efi mounted to your EFI partition?
Do you run update-grub2 from your primary system? (That is, the one controlling your bootloader.)
Comment 11 Vladimir Potapov 2015-02-20 20:10:16 MSK
(In reply to comment #10)
> (In reply to comment #9)
> > # update-grub2
> > don't update menu on my EFI test system.
> > How to do it in EFI?
> 
> Should work without any difference.
> What exactly do you mean by "don't update"? Displays error message? Leaves
> the current menu unchanged? Something else?
> 
> Do you have /boot/efi mounted to your EFI partition?
> Do you run update-grub2 from your primary system? (That is, the one
> controlling your bootloader.)
It's don't work only in case 
1) EFI-partition on SDA GPT
2) root on sdb legacy

In this case the options ignore (old menu without links).
Comment 12 Konstantin Vlasov 2015-02-20 20:42:58 MSK
Please, give me the following information:

1) findmnt
2) Contents of /boot/efi/EFI/rosa/grub.cfg and /boot/grub2/grub.cfg
3) Contents of /etc/default/grub
4) Output of update-grub2
5) rpm -qa | egrep '(os-prober|grub)'
Comment 13 Vladimir Potapov 2015-02-21 04:37:14 MSK
(In reply to comment #12)
> Please, give me the following information:
> 
> 1) findmnt
> 2) Contents of /boot/efi/EFI/rosa/grub.cfg and /boot/grub2/grub.cfg
> 3) Contents of /etc/default/grub
> 4) Output of update-grub2
> 5) rpm -qa | egrep '(os-prober|grub)'
bug#5086
Comment 14 Vladimir Potapov 2015-02-21 04:40:29 MSK
os-prober-1.63-7
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425739/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425740/x86_64/main/release/

grub2-2.00-69
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425737/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2425738/x86_64/main/release/

***************************** Advisory ***********************
os-prober: Support for creating grub2 linked menuentries; some minor bugfixes.
grub2: Support for creating linked menuentries for secondary systems
**************************************************************
QA Verified